Mageia 2022-0273: sqlite3 security update | LinuxSecurity.com

Advisories

MGASA-2022-0273 - Updated sqlite3 packages fix security vulnerability

Publication date: 05 Aug 2022
URL: https://advisories.mageia.org/MGASA-2022-0273.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-35737

It was discovered that sqlite contained an assertion failure upon queries
when compiled with -DSQLITE_ENABLE_STAT4 (CVE-2022-35737).

References:
- https://bugs.mageia.org/show_bug.cgi?id=30660
- https://www.sqlite.org/releaselog/3_39_2.html
- https://sqlite.org/forum/forumpost/3607259d3c
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-35737

SRPMS:
- 8/core/sqlite3-3.39.2-1.mga8

Mageia 2022-0273: sqlite3 security update

It was discovered that sqlite contained an assertion failure upon queries when compiled with -DSQLITE_ENABLE_STAT4 (CVE-2022-35737)

Summary

It was discovered that sqlite contained an assertion failure upon queries when compiled with -DSQLITE_ENABLE_STAT4 (CVE-2022-35737).

References

- https://bugs.mageia.org/show_bug.cgi?id=30660

- https://www.sqlite.org/releaselog/3_39_2.html

- https://sqlite.org/forum/forumpost/3607259d3c

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-35737

Resolution

MGASA-2022-0273 - Updated sqlite3 packages fix security vulnerability

SRPMS

- 8/core/sqlite3-3.39.2-1.mga8

Severity
Publication date: 05 Aug 2022
URL: https://advisories.mageia.org/MGASA-2022-0273.html
Type: security
CVE: CVE-2022-35737

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.